Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPMethodRef

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPRef
org.apache.commons.compress.harmony.unpack200.bytecode.CPMethodRef

public class CPMethodRef extends CPRef
Method reference constant pool entry.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

  `cachedToString, nameAndType`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPMethodRef(CPClass className, CPNameAndType descriptor, int globalIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  Returns an empty array.
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

  `equals, resolve, toString, writeBody`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPMethodRef

    public CPMethodRef(CPClass className, CPNameAndType descriptor, int globalIndex)

- ## Method Details

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Description copied from class: `ClassFileEntry`
    Returns an empty array.
    Overrides:
      `getNestedClassFileEntries` in class `CPRef`
    Returns:
      an empty array.

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ConstantPoolEntry`